com.ihr.xbrl.om.table.definition

## Class OpenContextComponentRuleSet

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<ContextComponentRuleInterface>
      - - com.ihr.xbrl.om.table.definition.OpenContextComponentRuleSet

- All Implemented Interfaces:
    Aspect<OCCAspectData>, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ContextComponentRuleInterface>, java.util.Collection<ContextComponentRuleInterface>, java.util.List<ContextComponentRuleInterface>, java.util.RandomAccess
  Direct Known Subclasses:
    NonXDTScenarioRuleSet, NonXDTSegmentRuleSet

      public abstract class OpenContextComponentRuleSet
      extends java.util.Vector<ContextComponentRuleInterface>
      implements Aspect<OCCAspectData>

  The Class OpenContextComponentRuleSet.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenContextComponentRuleSet()` Instantiates a new open context component rule set.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRule(XBRLRuleNode xbrlFormula, net.sf.saxon.s9api.XdmNode aspectNode, int container)` Adds the rule.
    `net.sf.saxon.s9api.XdmValue` | `getNodes(XBRLStructuralTable xbrlTable)` Gets the nodes.
    `void` | `resetNode()` Reset node.

    - ### Methods inherited from class java.util.Vector

      `add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, toString, trimToSize`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.ihr.xbrl.om.table.structural.Aspect

      `getAspectClashIdentity, getAspectType, getMember`

- - ### Constructor Detail

    - #### OpenContextComponentRuleSet

          public OpenContextComponentRuleSet()
                                      throws XTValidationException

      Instantiates a new open context component rule set.
      Throws:
        `XTValidationException` - the XT validation exception

  - ### Method Detail

    - #### addRule

          public void addRule(XBRLRuleNode xbrlFormula,
                     net.sf.saxon.s9api.XdmNode aspectNode,
                     int container)
                       throws XFValidationException

      Adds the rule.
      Parameters:
        `xbrlFormula` - the xbrl formula
        `aspectNode` - the aspect node
        `container` - the container
      Throws:
        `XFValidationException` - the XF validation exception

    - #### getNodes

          public net.sf.saxon.s9api.XdmValue getNodes(XBRLStructuralTable xbrlTable)
                                               throws XFValidationException

      Gets the nodes.
      Parameters:
        `xbrlTable` - the xbrl table
      Returns:
        the nodes
      Throws:
        `XFValidationException` - the XF validation exception

    - #### resetNode

          public void resetNode()

      Reset node.